<form-template titleForm="Visitas" [form]="form" [busy]="service.busy" [edit]="service.editing" 
    (changes)="onAction($event)" [(addOnlyOne)]="service.addOnlyOne">
    <ng-container content-type="codigo" *ngIf="service.editing">
        <small class="p-1"><strong class="font-xs text-muted">Codigo:&nbsp;</strong>{{service.model?.Id}}</small>
      </ng-container>
    <form #form="ngForm" autocomplete="off">
        <div class="row">
            <div class="col-md-5" [input-wrapper]="dni" label="DNI de Visitante">
                <input type="text" id="dni" class="form-control" name="dni" ngbAutofocus
                    [ngModel]="service.model.VisitanteDNI | cedula" #dni="ngModel"
                    (ngModelChange)="service.model.VisitanteDNI = $event">
            </div>
            <div class="col-md-5" [input-wrapper]="nombre" label="Nombre de Visitante">
                <input type="text" id="nombre" class="form-control" name="nombre"
                    [(ngModel)]="service.model.VisitanteNombre" #nombre="ngModel">
            </div>
        </div>
        <div class="row">
            <div class="col-md-5" input-wrapper label="Residencia">
                <app-visita-residencia></app-visita-residencia>
            </div>
            <div class="col-md-5" [input-wrapper]="motivo" label="Motivo">
                <input type="text" id="motivo" class="form-control" name="motivo"
                    [(ngModel)]="service.model.Motivo" #motivo="ngModel">
            </div>
        </div>
        <div class="row">
            <div class="col-md-5" [input-wrapper]="nota" label="Nota">
                <input type="text" id="nota" class="form-control" name="nota"
                    [(ngModel)]="service.model.Nota" #nota="ngModel">
            </div>
            <div class="col-md-3" [input-wrapper]="reportado" label="Reportado">
                <label for="reportado" class="switch switch-sm switch-success switch-label">
                    <input type="checkbox" name="reportado" id="reportado" class="switch-input" [(ngModel)]="service.model.Reportado"
                      #reportado="ngModel">
                    <span class="switch-slider" data-checked="SI"></span>
                </label>
            </div>
        </div>
        <div class="row">
            <div class="col-md-10" input-wrapper label="Hora de Visita">
                <!-- <div class="btn-group btn-group-toggle mt-2">
                    <button class="btn btn-info" [class.active]="btnToggle === 'manual'">
                        <label for="manual" class="c-pointer">Manual</label>
                        <input type="radio" name="hora-visita" id="manual" [value]="'manual'" [(ngModel)]="btnToggle">
                    </button>
                    <button class="btn btn-info" [class.active]="btnToggle === 'auto'">
                        <label for="auto" class="c-pointer">Auto</label>
                        <input type="radio" name="hora-visita" id="auto" [value]="'auto'" [(ngModel)]="btnToggle">
                    </button>
                </div> -->
                <div class="row ml-2 mt-2 no-gutters">
                    <div class="col-5" [input-wrapper]="llegada" label="Llegada" labelClass="mb-1">
                        <div class="row no-gutters">
                            <div class="col-11">
                                <input type="datetime-local" id="llegada" class="form-control" name="llegada" 
                                    [(ngModel)]="service.model.Llegada" #llegada="ngModel">
                            </div>
                        </div>
                    </div>
                    <div class="col-5" [input-wrapper]="salida" label="Salida" labelClass="mb-1">
                        <div class="row no-gutters">
                            <div class="col-11">
                                <input type="datetime-local" id="salida" class="form-control" name="salida" 
                                    [(ngModel)]="service.model.Salida" #salida="ngModel">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</form-template>
